﻿// -*- C++ -*-
/*!
 * @file  ConvertVelTest.cpp
 * @brief Convert from TimedFloat to TimedVelocity
 * @date $Date$
 *
 * $Id$
 */

#include "ConvertVelTest.h"

// Module specification
// <rtc-template block="module_spec">
static const char* convertvel_spec[] =
  {
    "implementation_id", "ConvertVelTest",
    "type_name",         "ConvertVelTest",
    "description",       "Convert from TimedFloat to TimedVelocity",
    "version",           "1.0.0",
    "vendor",            "FSK",
    "category",          "Converter",
    "activity_type",     "PERIODIC",
    "kind",              "DataFlowComponent",
    "max_instance",      "1",
    "language",          "C++",
    "lang_type",         "compile",
    ""
  };
// </rtc-template>

/*!
 * @brief constructor
 * @param manager Maneger Object
 */
ConvertVelTest::ConvertVelTest(RTC::Manager* manager)
    // <rtc-template block="initializer">
  : RTC::DataFlowComponentBase(manager),
    m_infloatIn("InFloat", m_infloat),
    m_outVelocityOut("OutVelocity", m_outVelocity)

    // </rtc-template>
{
}

/*!
 * @brief destructor
 */
ConvertVelTest::~ConvertVelTest()
{
}



RTC::ReturnCode_t ConvertVelTest::onInitialize()
{
  // Registration: InPort/OutPort/Service
  // <rtc-template block="registration">
  // Set InPort buffers
  addInPort("OutVelocity", m_outVelocityIn);

  // Set OutPort buffer
  addOutPort("InFloat", m_infloatOut);

  // Set service provider to Ports

  // Set service consumers to Ports

  // Set CORBA Service Ports

  // </rtc-template>

  // <rtc-template block="bind_config">
  // </rtc-template>

  return RTC::RTC_OK;
}

/*
RTC::ReturnCode_t ConvertVelTest::onFinalize()
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConvertVelTest::onStartup(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConvertVelTest::onShutdown(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/


RTC::ReturnCode_t ConvertVelTest::onActivated(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}


RTC::ReturnCode_t ConvertVelTest::onDeactivated(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}


RTC::ReturnCode_t ConvertVelTest::onExecute(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}

/*
RTC::ReturnCode_t ConvertVelTest::onAborting(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConvertVelTest::onError(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConvertVelTest::onReset(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConvertVelTest::onStateUpdate(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConvertVelTest::onRateChanged(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/



extern "C"
{

  void ConvertVelTestInit(RTC::Manager* manager)
  {
    coil::Properties profile(convertvel_spec);
    manager->registerFactory(profile,
                             RTC::Create<ConvertVelTest>,
                             RTC::Delete<ConvertVelTest>);
  }

};


